com.ihr.xbrl.util

## Class LastDirectoryManager

- java.lang.Object
- - com.ihr.xbrl.util.LastDirectoryManager

-     public class LastDirectoryManager
      extends java.lang.Object

  The Class LastDirectoryManager.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LastDirectoryManager` | `INSTANCE` The instance.
    `static java.lang.String` | `INSTANCE_DOCUMENT_STORE_DIRECTORY` The Constant INSTANCE_DOCUMENT_STORE_DIRECTORY.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastDirectoryManager(java.lang.String propertiesFileName)` Instantiates a new last directory manager.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getDefaultPropertiesFileName()` Gets the default properties file name.
    `java.lang.String` | `getLastDirectory(java.lang.String key)` Gets the last directory.
    `void` | `setLastDirectory(java.lang.String key, java.lang.String pathName)` Sets the last directory.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE_DOCUMENT_STORE_DIRECTORY

          public static final java.lang.String INSTANCE_DOCUMENT_STORE_DIRECTORY

      The Constant INSTANCE_DOCUMENT_STORE_DIRECTORY.
      See Also:
        Constant Field Values

    - #### INSTANCE

          public static LastDirectoryManager INSTANCE

      The instance.

  - ### Constructor Detail

    - #### LastDirectoryManager

          public LastDirectoryManager(java.lang.String propertiesFileName)

      Instantiates a new last directory manager.
      Parameters:
        `propertiesFileName` - the properties file name

  - ### Method Detail

    - #### getDefaultPropertiesFileName

          public static java.lang.String getDefaultPropertiesFileName()

      Gets the default properties file name.
      Returns:
        the default properties file name

    - #### setLastDirectory

          public void setLastDirectory(java.lang.String key,
                              java.lang.String pathName)

      Sets the last directory.
      Parameters:
        `key` - the key
        `pathName` - the path name

    - #### getLastDirectory

          public java.lang.String getLastDirectory(java.lang.String key)

      Gets the last directory.
      Parameters:
        `key` - the key
      Returns:
        the last directory